// Miscellaneous utilities header
#pragma once

#include "util/log.h"
#include "util/file.h"

// Define NFTime
#ifdef _DEBUG
#define NFTime() ::nf::util::ScopedTimer __scopeTimer(__FUNCSIG__)
#else
#define NFTime()
#endif

namespace nf::util {
    double getRand();
    double getRandRange(double minimum, double maximum);

    class ScopedTimer {
    public:
        ScopedTimer(const char* funcName);
        ~ScopedTimer();
    private:
        const char* m_funcName;
        std::chrono::time_point<std::chrono::high_resolution_clock> m_startTime;
    };
}
